/* slurp-manager.c
 *
 * Copyright © 2018 Julian Richen <julian@richen.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "slurp-manager.h"

typedef struct _SlurpManagerPrivate
{
    gint concurrent_downloads;
} SlurpManagerPrivate;

G_DEFINE_TYPE_WITH_PRIVATE (SlurpManager, slurp_manager, G_TYPE_OBJECT)

static void
slurp_manager_finalize (GObject *object)
{
    //SlurpManager *self = SLURP_MANAGER (object);

    G_OBJECT_CLASS (slurp_manager_parent_class)->finalize (object);
}

static void
slurp_manager_class_init (SlurpManagerClass *klass)
{
    GObjectClass *object_class = G_OBJECT_CLASS (klass);

    object_class->finalize = slurp_manager_finalize;
}

static void
slurp_manager_init (SlurpManager *self)
{
}

SlurpManager *
slurp_manager_new (void)
{
    return g_object_new (SLURP_TYPE_MANAGER, NULL);
}
